// pages/components/xt-icon.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    // 是否带数字
    number: {
      type: Number | null,
      default: null
    },
    // 是否选中
    isChoosed: {
      type: Boolean,
    },
    // 是否可关闭
    closeable: {
      type: Boolean,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    close() {
      this.triggerEvent('close');
    },
    onClick() {
      this.triggerEvent('click');
    },
  },
});
