// path/to/custom-ul.js
Component({
  properties: {
    type: {
      type: String,
      value: 'line'
    },
    active: {
      type: Number,
      value: 0
    },
    list: {
      type: Array,
    },
    cardBgColor: {
      type: String,
    },
    borderColor: {
      type: String,
    },
  },
  methods: {
    tabClick(e) {
      const _index = e.currentTarget.dataset.index;
      const _item = e.currentTarget.dataset.item;
      this.setData({
        active: _index
      })
      this.triggerEvent('change', {
        ..._item,
        index: _index
      });
    }
  },
})